Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DynamicImplementation Class Reference

`#include <Dynamic_Implementation.h>`

List of all members.

## Public Methods
virtual void | invoke (CORBA::ServerRequest_ptr request ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual CORBA::RepositoryId | _primary_interface (const PortableServer::ObjectId &oid, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual CORBA::Boolean | _is_a (const char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA::Object_ptr | _this (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::InterfaceDef_ptr | _get_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Methods
virtual const char * | _interface_repository_id (void) const
virtual void * | _downcast (const char *repository_id)
virtual TAO_Stub * | _create_stub (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual void | _dispatch (TAO_ServerRequest &request, void *context ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
CORBA::RepositoryId | get_id_from_primary_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)

## Member Function Documentation

TAO_Stub * TAO_DynamicImplementation::_create_stub | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[protected, virtual]`

virtual void TAO_DynamicImplementation::_dispatch | ( | TAO_ServerRequest & | request,
|  | void *context | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[protected, virtual]`

void * TAO_DynamicImplementation::_downcast | ( | const char * | repository_id | ) | `[protected, virtual]`

CORBA::InterfaceDef_ptr TAO_DynamicImplementation::_get_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

const char * TAO_DynamicImplementation::_interface_repository_id | ( | void |  | ) | const`[protected, virtual]`

CORBA::Boolean TAO_DynamicImplementation::_is_a | ( | const char *logical_type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

virtual CORBA::RepositoryId TAO_DynamicImplementation::_primary_interface | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[pure virtual]`

CORBA::Object_ptr TAO_DynamicImplementation::_this | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

CORBA::RepositoryId TAO_DynamicImplementation::get_id_from_primary_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[private]`

virtual void TAO_DynamicImplementation::invoke | ( | CORBA::ServerRequest_ptr request | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- Dynamic_Implementation.h
- Dynamic_Implementation.cpp